Skip to main content
Developers can stream generic JSONL data from pre-recorded JSONL files into a Lens by connecting a JSONL File Reader data connector to the input data stream of a Lens. Prior to streaming JSONL data to a lens, a developer should first upload their JSONL file to the Archetype platform using the Files API. Upon uploading their JSONL file, the developer will receive a file_id that identifies that file throughout the Newton Platform. For example, the bash command below demonstrates how to upload a local JSONL file from your terminal to the Archetype platform using the Files API.
curl https://api.u1.archetypeai.app/v0.5/files \
  -H "Authorization: Bearer $ATAI_API_KEY" \
  -H "Content-Type: multipart/form-data" \
  -F file="@my_data.jsonl"
Upon successful upload, you will receive a JSON response similar to:
{
  "is_valid":true
  "file_id":"my_data.jsonl"
  "file_uid":"25081907c598752e7e71ef"
}
Like all data stream connectors, the JSONL file reader can be identified and configured via the following stream type and stream config:
stream_type: jsonl_file_reader
stream_config:
  file_id: "your_file_id.jsonl"
This can be passed to Newton as an event:
event:
  type: input_stream.set
  event_data:
    stream_type: jsonl_file_reader
    stream_config:
      file_id: "your_file_id.jsonl"

Parameters

You can pass the following parameters to the JSON File Reader via the stream_config.
ParameterDescriptionRequired
file_idThe file_id of the JSONL file you wish to pass to the JSONL File Reader. The file_id should correspond to a valid file you’ve uploaded via the files API.Yes